Resume the desktop agent
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"generation": 2
}
'import requests
url = "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent"
payload = { "generation": 2 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({generation: 2})
};
fetch('https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent"
payload := strings.NewReader("{\n \"generation\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "desktop_control_status",
"mode": "paused",
"epoch": 123,
"generation": 123,
"holder": "<string>",
"agent_state": "<string>",
"lease_id": "<string>",
"lease_expires_at": "2023-11-07T05:31:56Z"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Desktop sessions
Resume the desktop agent
POST
/
desktop_sessions
/
{desktop_session_id}
/
resume_agent
Resume the desktop agent
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"generation": 2
}
'import requests
url = "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent"
payload = { "generation": 2 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({generation: 2})
};
fetch('https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/resume_agent"
payload := strings.NewReader("{\n \"generation\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "desktop_control_status",
"mode": "paused",
"epoch": 123,
"generation": 123,
"holder": "<string>",
"agent_state": "<string>",
"lease_id": "<string>",
"lease_expires_at": "2023-11-07T05:31:56Z"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Authorizations
apiKeybearer
Headers
Project scope. Required when the API key can access more than one project (alias: anthropic-workspace-id).
Path Parameters
Body
application/json
Required range:
x >= 1